org.apache.lucene.luke.app.desktop.components.fragments.search

## Interface QueryParserTabOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    QueryParserPaneProvider

      public interface QueryParserTabOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator for the QueryParser tab

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryParserConfig` | `getConfig()`
    `String` | `getDefaultField()`
    `void` | `setRangeSearchableFields(Collection<String> rangeSearchableFields)`
    `void` | `setSearchableFields(Collection<String> searchableFields)`

- - ### Method Detail

    - #### setSearchableFields

          void setSearchableFields(Collection<String> searchableFields)

    - #### setRangeSearchableFields

          void setRangeSearchableFields(Collection<String> rangeSearchableFields)

    - #### getConfig

          QueryParserConfig getConfig()

    - #### getDefaultField

          String getDefaultField()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.